Bug 17820 - Problems with smbfs/smbmount on Linux client
Problems with smbfs/smbmount on Linux client
Status: CLOSED DUPLICATE of bug 11448
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-25 08:27 EDT by Magni Onsoien
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-21 10:23:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Magni Onsoien 2000-09-25 08:27:20 EDT
A while after I use smbmount to mount on my Linux machine a SMB share on a
Windows NT server, it stops working. Any subsequent attempts of accessing
it result in a "Input/output error" message. Also, smbumount doesn't work,
and I have to umount it as root.

df shows the filesystem /mnt/blurb is mounted from //blurb/share, but the
filesystem isn't mounted - everything ends up at / instead (because it
can't write to the smbfs /mnt/blurb).

Some errors from /var/log/messages:
Sep 21 04:02:28 vin kernel: smb_retry: caught signal
Sep 21 09:44:28 vin kernel: smb_retry: signal failed, error=-3 
Sep 21 09:44:43 vin kernel: smb_retry: signal failed, error=-3 
Sep 21 09:44:51 vin kernel: smb_retry: signal failed, error=-3 
Sep 21 09:44:56 vin kernel: smb_retry: signal failed, error=-3 

samba-client and samba-common, both 2.0.7-4, are installed. The machine is
not a samba-server so that package is not installed.
The kernel-version is 2.2.16-3 (installed from RPM).

I am having this problem on several boxes with the same configuration. I
have seen several people reporting similar problems different places, but I
haven't yet seen a solution that actually works... (only workarounds like
umount the fs regularly and then smbmount it again. Not really a _solution_
:))
Comment 1 giulioo 2000-09-30 03:54:03 EDT
If you keep smb shares mounted for a long time you should have a look here:
http://www.hojdpunkten.ac.se/054/samba/

It's the site of the smbfs kernel maintainer and it has patches for smbmount 
related problems too.

Don't sure those patch will solve yout problem, though. :-)
Comment 2 Guðmundur D. H. 2000-12-03 19:22:17 EST
I had this problem. I belive it's the NT server's fault. I fixed this by puting
in crontab a script which echoed some text into file on the mounted filesystem
every five minutes. Then, it was okey.

G.
Comment 3 Sergey D 2001-01-18 04:59:27 EST
Yes, I have the same problems with RH 7.0 (2.2.16-22) and samba 2.0.7-23 
(latest Rawhide)

Looks like this problem is somehow related to network geometry because when I 
have linux station and WindowsNT machine in one segment with 224 mask (32 
addresses) switched into ordinary hub, samba mount on linux remained stable fo 
weeks without any problems.
The problems began when we changed Network geometry. The segment was expanded 
to 128 addresses (128 netmask /25) and both machines was switched into 10/100 
3Com SuperStack II switch.
Do not know exactly is this a problem of "switch" that inteligently filter 
broadcasts or of the segment expand.
In a period of inactivity smb mount die and start putting error messages
to syslog (smb_retry: signal failed, error=-3)

But anyway, solution suggested by gdh@simnet.is corrected the problem.
:-)

P.S. I've tried latest samba-client-2.0.7-23 (from RawHide), problem still 
exist.
Comment 4 Henri Schlereth 2001-01-21 10:22:59 EST
This may be the wrong venue to bring this up as it appears to be an NT issue.
I am unable to duplicate this with W95/98 clients.
Has anyone reported this to the Samba Team and gotten a response?
Comment 5 Bill Nottingham 2001-01-28 22:17:20 EST

*** This bug has been marked as a duplicate of 11448 ***

Note You need to log in before you can comment on or make changes to this bug.